Não é possível actualizar o sistema operativo baseado no Windows quando tem o Windows PowerShell 1.0 instalado

O suporte para o Windows XP terminou

A Microsoft terminou o suporte para o Windows XP em 8 de Abril de 2014. Esta alteração afetou as suas atualizações de software e opções de segurança. Aprenda o que isto significa para si e como pode ficar protegido.

O suporte para Windows Server 2003 terminou a 14 de Julho de 2015

A Microsoft terminou o suporte para Windows Server 2003 a 14 de Julho de 2015. Esta alteração afetou as suas atualizações de software e opções de segurança. Aprenda o que isto significa para si e como pode ficar protegido.

IMPORTANTE: Este artigo foi traduzido por um sistema de tradução automática (também designado por Machine translation ou MT), não tendo sido portanto revisto ou traduzido por humanos. A Microsoft tem artigos traduzidos por aplicações (MT) e artigos traduzidos por tradutores profissionais. O objectivo é simples: oferecer em Português a totalidade dos artigos existentes na base de dados do suporte. Sabemos no entanto que a tradução automática não é sempre perfeita. Esta pode conter erros de vocabulário, sintaxe ou gramática… erros semelhantes aos que um estrangeiro realiza ao falar em Português. A Microsoft não é responsável por incoerências, erros ou estragos realizados na sequência da utilização dos artigos MT por parte dos nossos clientes. A Microsoft realiza actualizações frequentes ao software de tradução automática (MT). Obrigado.

Clique aqui para ver a versão em Inglês deste artigo: 950376
Suporte para Windows Vista Service Pack 1 (SP1) termina a 12 de Julho de 2011. Para continuar a receber actualizações de segurança para o Windows, certifique-se de que está a executar o Windows Vista com Service Pack 2 (SP2). Para mais informações, consulte esta página web da Microsoft: Está a acabar o suporte para algumas versões do Windows.
Sintomas
Quando tenta actualizar o sistema operativo num computador que tenha instalado o Windows PowerShell 1.0, a actualização falha. Além disso, a funcionalidade de verificação de compatibilidade apresenta a seguinte mensagem:
Tem de efectuar as seguintes alterações antes de actualizar o Windows:
Desinstale o programa seguinte:
  • O Windows PowerShell
Como contornar
Para contornar este problema, elimine o erro de verificação de compatibilidade. Para tal, siga estes passos:
  1. Desinstale o Windows PowerShell 1.0.
  2. Efectue novamente a actualização do sistema operativo.
  3. Reinstale o Windows PowerShell 1.0.
Mais Informação

Como desinstalar o Windows PowerShell 1.0

Para desinstalar o Windows PowerShell 1.0, siga os passos adequados ao sistema operativo.

Windows Vista

  1. Clique em Iniciar, tipo appwiz. cpl na caixa Iniciar procura e, em seguida, prima ENTER.
  2. Na lista de tarefas, clique em Ver actualizações instaladas.
  3. No desinstalar uma actualização<b00> </b00> lista, o Windows PowerShell (TM) 1.0 (KB928439)com o botão direito e, em seguida, clique em desinstalar.
  4. Siga as instruções para desinstalar o Windows PowerShell 1.0.

    Nota Se desactivar o Windows PowerShell, utilizando a opção de Activar ou desactivar funcionalidades do Windows , este não satisfaça o processo de verificação de compatibilidade. Tem de desinstalar o Windows PowerShell.

Windows Server 2003

  1. Clique em Iniciar, clique em Executar, tipo appwiz. cple, em seguida, clique em OK.
  2. Clique para seleccionar a caixa de verificação Mostrar actualizações .
  3. Na lista de actualizações e programas actualmente instalados , localize a entrada da correcção instalada Windows PowerShell 1.0. Consoante o pacote de instalação que foi utilizado, esta entrada é semelhante a uma das seguintes:
    • Correcção para Windows Server 2003 (KB926139)
    • Correcção para Windows Server 2003 (KB926140)
    • Correcção para Windows Server 2003 (KB926141)
  4. Clique na entrada de correcção do Windows PowerShell e, em seguida, clique em Remover.
  5. Siga as instruções para desinstalar a correcção para o Windows PowerShell 1.0.
Nota Por predefinição, se o Windows Server 2003 Service Pack 2 estiver instalado no sistema, PowerShell 1.0 não pode ser desinstalada. Para resolver este problema, siga estes passos:
  1. Siga os passos no seguinte artigo da Base de dados de conhecimento da Microsoft (KB), 931941, a fidedignidade do Windows PowerShell 1.0, que foi introduzido na KB926139:
    931941 A ferramenta de Oobmig.exe está disponível para restaurar a fidedignidade para fora-de-banda actualizações depois de instalar o Windows Server 2003 Service Pack 2
    Nota Poderá ter de reiniciar o computador.
  2. Verifique se a actualização pode ser desinstalada, utilizando o painel de controlo. Se a actualização não pode ser desinstalada deste modo, desinstale o PowerShell manualmente na seguinte localização:
    C:\WINNT\$NtUninstallKB926139$\Spuninst\Spuninst.exe
    Nota Poderá ter de reiniciar o computador.

Windows XP

  1. Clique em Iniciar, clique em Executar, tipo appwiz. cple, em seguida, clique em OK.
  2. Clique para seleccionar a caixa de verificação Mostrar actualizações .
  3. Na lista de actualizações e programas actualmente instalados , faça clique sobre o Windows PowerShell (TM) 1.0e, em seguida, clique em Remover.
  4. Siga as instruções para desinstalar o Windows PowerShell 1.0.
Clique das seguintes hiperligações para reinstalar o Windows PowerShell 1.0, dependendo da versão do sistema operativo e a preferência de idioma:

Para mais informações sobre pacotes de instalação de idioma inglês do Windows PowerShell 1.0 para Windows Server 2003 e Windows XP, clique no número de artigo seguinte para visualizar o artigo na Microsoft Knowledge Base:
926139 Pacotes de instalação de idioma inglês do Windows PowerShell 1.0 para Windows Server 2003 e Windows XP
Para mais informações sobre o pacote de instalação localizado do Windows PowerShell 1.0 para Windows Server 2003 e Windows XP, clique no número de artigo seguinte para visualizar o artigo na Microsoft Knowledge Base:
926140 O Windows PowerShell 1.0 localizado o pacote de instalação para o Windows Server 2003 e Windows XP
Para mais informações sobre o pacote de idioma do Windows PowerShell 1.0 Multilingual User Interface (MUI) para Windows Server 2003 e Windows XP, clique no número de artigo seguinte para visualizar o artigo na Microsoft Knowledge Base:
926141 Windows PowerShell 1.0 Multilingual User Interface (MUI) Language Pack para Windows Server 2003 e Windows XP
Para mais informações sobre o pacote de instalação do Windows PowerShell 1.0 para Windows Vista, clique no número de artigo seguinte para visualizar o artigo na Microsoft Knowledge Base:
928439 Pacote de instalação do Windows PowerShell 1.0 para Windows Vista
Para mais informações sobre o Windows PowerShell, visite os seguintes Web sites da Microsoft:

Aviso: Este artigo foi traduzido automaticamente

Propriedades

ID do Artigo: 950376 - Última Revisão: 09/27/2015 11:43:00 - Revisão: 4.0

Windows Vista Service Pack 1, Windows Vista Enterprise 64-bit edition, Windows Vista Home Basic 64-bit edition, Windows Vista Home Premium 64-bit edition, Windows Vista Ultimate 64-bit edition, Windows Vista Business, Windows Vista Business 64-bit edition, Windows Vista Enterprise, Windows Vista Home Basic, Windows Vista Starter, Windows Vista Ultimate, Microsoft Windows Server 2003 Service Pack 2, Microsoft Windows Server 2003 Service Pack 1, Microsoft Windows Server 2003 R2 Datacenter Edition (32-Bit x86), Microsoft Windows Server 2003 R2 Datacenter Edition (64-Bit x86), Microsoft Windows Server 2003 R2 Enterprise Edition (32-Bit x86), Microsoft Windows Server 2003 R2 Standard Edition (32-bit x86), Microsoft Windows Server 2003 R2 Standard Edition (64-Bit x86), Microsoft Windows XP Service Pack 3, Microsoft Windows XP Service Pack 2

  • kbexpertiseadvanced kbtshoot kbprb kbmt KB950376 KbMtpt
Comentários